设为首页收藏本站

自学it网-公益PHP培训!

 找回密码
 立即注册

QQ登录

只需一步,快速开始

查看: 2297|回复: 3

[未解决] yum install php54w-devel 报错 No package php54w-devel available [复制链接]

Rank: 1

发表于 2016-9-2 22:31:31 |显示全部楼层
本帖最后由 凌云识木 于 2016-9-2 22:35 编辑

我的是centos6.7,默认yum源是php5.3 QQ截图20160902221918.png


rpm -Uvh  http://repo.webtatic.com/yum/el6/latest.rpm QQ截图20160902222404.png

QQ截图20160902222435.png



更新了yum源依然找不到 php54w-devel,哪里有可用的yum源?
还是说下载了yum源之后需要先 yum install php54w,然后才能执行 php54w-devel?


QQ截图20160902221918.png
QQ截图20160902222404.png

使用道具 举报

Rank: 8Rank: 8

发表于 2016-9-5 10:18:42 |显示全部楼层
你要装5.4的PHP,首选用rmp -qa|grep php找出所有的PHP包,逐个删除。(有依赖关系的直接强制删掉)。然后更换epel源,装PHP5.4。参考:
http://blog.csdn.net/misakaqunianxiatian/article/details/52079693
http://blog.csdn.net/misakaqunianxiatian/article/details/52098354
http://blog.csdn.net/misakaqunianxiatian/article/details/52079657

使用道具 举报

Rank: 1

发表于 2018-1-5 22:19:37 |显示全部楼层
这是包冲突了,你可能安装了低版本的devel包

使用道具 举报

Rank: 2

发表于 2018-1-14 14:29:17 |显示全部楼层
linux 咋这么复杂 一会用yum 智能的很 一会又 rpm 包  一会又编译  真实太  不好把握了。。

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

Archiver|自学it网 ( 京ICP备12009156号 )  

GMT+8, 2018-4-25 00:37 , Processed in 0.033688 second(s), 7 queries , Memcache On.

Powered by Discuz! X2

© 2001-2011 Comsenz Inc.

回顶部